> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SIWE

> Retrieves a SIWE message for authentication. Wallet must hold an allowed role on the user RiseID. For an API wallet, use Viewer and give the same wallet PaymentInitiator (intents) or Payer (also pay now and instant payments) on each team Rise Account; manager invites need an Owner wallet.



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/auth/siwe
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/auth/siwe:
    get:
      tags:
        - Authentication
      summary: Get SIWE
      description: >-
        Retrieves a SIWE message for authentication. Wallet must hold an allowed
        role on the user RiseID. For an API wallet, use Viewer and give the same
        wallet PaymentInitiator (intents) or Payer (also pay now and instant
        payments) on each team Rise Account; manager invites need an Owner
        wallet.
      parameters:
        - schema:
            type: string
          in: query
          name: wallet
          required: true
          description: Wallet address of the user.
        - schema:
            type: string
          in: query
          name: riseid
          required: true
          description: RiseID of the user.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      siwe:
                        type: string
                        description: The SIWE message that the user needs to sign.
                    required:
                      - siwe
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Gateway

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.